Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87695 - mouse orientation is incorrect
Summary: mouse orientation is incorrect
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 14:07 UTC by Tim Fournet
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-01 18:06:48 UTC


Attachments (Terms of Use)

Description Tim Fournet 2003-04-01 14:07:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I have a Logitech Cordless Optical Trackman, and in XFree86, the orientation is
off, by about 45 degrees to the left. I'm not sure if I had this problem in
Windows, as the Windows mouse control panel applet allows one to set
orientation. I cannot find a way to do this with mouseconfig. I experience this
problem both in XFree86 and in the console with gpm. 

Version-Release number of selected component (if applicable):
several tried

How reproducible:
Always

Steps to Reproduce:
1. Use the trackball I mentioned
2. Select any working configuration in mouseconfig
3. Move the cursor around

Actual Results:  When you move the ball horizontally to the left, the cursor
actually goes down and left about 45 degrees. Moving up makes it go up and left. 

Expected Results:  Normal mouse orientation

Additional info:

Comment 1 Tim Fournet 2003-04-01 14:09:38 UTC
I found this archived mailing list posting that describes someone else with the
same problem as myself:

http://lists.linux.it/pipermail/gpm/2002-November/000550.html

Comment 2 Brent Fox 2003-04-01 18:06:48 UTC
Sounds like Logitech built a buggy mouse.  I can't really add a button to the
interface that says "Enable off-by-45-degrees workaround."

The people on that mailing list only talk about fixing gpm, not XFree86.  Both
of these are beyond the scope of redhat-config-mouse.  I would recommend getting
a different mouse.

Comment 3 Tim Fournet 2003-04-03 19:08:07 UTC
Would it be possible within the scope of XFree86 to provide a means of changing
the orientation of the mouse? Some Windows mouse drivers (Logitech's, for
example) have the ability to let the user set a preferred orientation, much like
there exists for joystick calibration. 

Comment 4 Brent Fox 2003-04-03 19:40:21 UTC
You might send an email to mharris@redhat.com and ask him.  He's our XFree86
maintainer.


Note You need to log in before you can comment on or make changes to this bug.